> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update subCategory

> Partial update. Provide only fields to change, plus `id`.



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json put /subcategories/update
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /subcategories/update:
    put:
      tags:
        - Subcategories
      summary: Update subCategory
      description: Partial update. Provide only fields to change, plus `id`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - id
              properties:
                id:
                  type: string
                  pattern: ^[a-fA-F0-9]{24}$
                  example: '{{objectId}}'
                name:
                  type: object
                  additionalProperties: false
                  properties:
                    en:
                      type: string
                    es:
                      type: string
                slug:
                  type: string
                categoryId:
                  type: string
                  pattern: ^[a-fA-F0-9]{24}$
                description:
                  type: object
                  additionalProperties: false
                  properties:
                    en:
                      type: string
                    es:
                      type: string
                icon:
                  type: string
                  format: uri
                banner:
                  type: string
                  format: uri
                order:
                  type: integer
                  minimum: 0
                isActive:
                  type: boolean
            examples:
              Update Subcategory:
                value:
                  id: '{{objectId}}'
                  name:
                    en: AI (updated)
                    es: IA (actualizado)
                  order: 2
      responses:
        '201':
          description: Updated
          content:
            application/json:
              examples:
                Updated:
                  value:
                    success: true
                    statusCode: 201
                    message: Subcategory updated
                    data:
                      id: '{{objectId}}'
        '401':
          description: Unauthorized
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    success: false
                    statusCode: 401
                    message: Unauthorized
                    data: null
        '403':
          description: Forbidden
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    success: false
                    statusCode: 403
                    message: Forbidden
                    data: null
        '404':
          description: Not found
          content:
            application/json:
              examples:
                NotFound:
                  value:
                    success: false
                    statusCode: 404
                    message: Not found
                    data: null
        '422':
          description: Validation error
          content:
            application/json:
              examples:
                Validation:
                  value:
                    success: false
                    statusCode: 422
                    message: Validation failed
                    data: null
        '500':
          description: Server error
          content:
            application/json:
              examples:
                ServerError:
                  value:
                    success: false
                    statusCode: 500
                    message: Internal server error
                    data: null
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````